Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.maf
Class MAFUtil

    java.lang.Object
      |
      +--com.ibm.maf.MAFUtil

public final class MAFUtil
extends java.lang.Object

Field Summary
`static short` | `AGENT_SYSTEM_TYPE_AGLETS`

Constructor Summary
`MAFUtil()`

Method Summary
`static Name` | `decodeName(byte[] b)`
`static java.lang.String` | `decodeString(byte[] n)`
`static byte[]` | `encodeName(Name name)`
`static byte[]` | `encodeString(java.lang.String str)`
`static java.lang.String` | `toAgentSystem(short type)`
`static short` | `toAgentSystemType(java.lang.String n)`
`static AgletID` | `toAgletID(Name name)`
`static java.lang.String` | `toLanguage(short id)`
`static short` | `toLanguageID(java.lang.String n)`
`static Name` | `toName(AgletID aid, java.security.cert.Certificate cert)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AGENT_SYSTEM_TYPE_AGLETS

    public static final short AGENT_SYSTEM_TYPE_AGLETS

Constructor Detail

### MAFUtil

    public MAFUtil()

Method Detail

### decodeName

    public static Name decodeName(byte[] b)

### decodeString

    public static java.lang.String decodeString(byte[] n)

### encodeName

    public static byte[] encodeName(Name name)

### encodeString

    public static byte[] encodeString(java.lang.String str)

### toAgentSystem

    public static java.lang.String toAgentSystem(short type)

### toAgentSystemType

    public static short toAgentSystemType(java.lang.String n)

### toAgletID

    public static AgletID toAgletID(Name name)

### toLanguage

    public static java.lang.String toLanguage(short id)

### toLanguageID

    public static short toLanguageID(java.lang.String n)

### toName

    public static Name toName(AgletID aid,
                              java.security.cert.Certificate cert)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD